Skip to main content
GET
Get a business wallet balance by ID

Path Parameters

id
string
required

The ID of the wallet to retrieve.

Response

Wallet was successfully retrieved.

Response schema for the Leadping API billing wallet response returned to authenticated clients.

balance
string<double> | null

Wallet or account balance after this transaction is applied.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
balanceCalculatedAt
string<date-time> | null

UTC timestamp when Leadping last calculated the wallet balance.

amountPurchased
string<double> | null

Amount of wallet credit purchased in this deposit.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
amountRemaining
string<double> | null

Amount of wallet credit still available for future usage.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
currency
string | null

ISO currency code used for the monetary amounts in this billing wallet response.

purchasedAt
string<date-time> | null

UTC timestamp when the wallet credit was purchased.

expiresAt
string<date-time> | null

UTC timestamp when the wallet credit expires.

sourceType
enum<string> | null

Defines the source that created a wallet credit lot.

Available options:
purchase,
promo,
admin_adjustment,
refund_adjustment,
chargeback_reversal,
compromise_restoration
creditStatus
enum<string> | null

Defines the lifecycle state for a wallet credit lot.

Available options:
active,
consumed,
expired,
refunded,
voided,
disputed
businessId
string | null

Business ID that owns this wallet balance or credit.

originalTransactionId
string | null

Original wallet transaction ID referenced by a reversal, refund, or adjustment.

nextCreditExpirationAt
string<date-time> | null

UTC timestamp when the next wallet credit amount expires.

nextExpiringCreditAmount
string<double> | null

Amount of wallet credit scheduled to expire next.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
expiredCreditAmount
string<double> | null

Amount of wallet credit that has expired.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
name
string

The display name for the entity.

id
string

The unique identifier for the entity.

createdAt
string<date-time>

The date and time when the entity was created.

modifiedAt
string<date-time> | null

The date and time when the entity was last modified, if applicable.